Drone

Error: "Schema Validation: Value should be one of "Signature","Secret""

In my .drone.yml file. On every line where I have “kind: pipeline”, I am getting an error that say “Schema Validation: Value should be one of “Signature”,“Secret””

Any suggestions on how to fix this?

I have never seen this error. Please provide a full copy of your yaml and please let me know where this error comes from, since I do not recall seeing any “Schema Validation” errors in the codebase.

I figured it out. I didn’t specify what “type” of pipeline it was. after adding “type: docker” the error went away.